CHANGES - ESP Ghostscript 7.05.6 - 02/10/2003
---------------------------------------------

CHANGES IN 7.05.6

	- Fixed bug 465936 from GNU/AFPL GhostScript 7.x:
	  "gsftopk &  gs 7.02 fails"). Used Paul Vojta's short
	  patch.
	- The CUPS driver now properly generates CIE
	  colorspaces.
	- The RPM package now checks for an existing CID font
	  installation and re-registers the CID fonts when
	  installing a new version of ESP Ghostscript.
	- The pstoraster wrapper didn't correctly pass the
	  cupsProfile attribute into Ghostscript; this resulted
	  in user-defined profiles being ignored when printing
	  PS files.
	- The Omni drivers require the C++ standard library.
	- pswrite/pdfwrite devices: Applied a patch which
	  allocates larger dictionary space and uses a procedure
	  instead of a string as a data source for the image
	  operator, This solves problems in conversion to
	  PostScript Level 1 (pswrite) or PDF (pdfwrite). See
	  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=78450
	  (Red Hat bug #78450).
	- Replaced page alignment page (lib/align.ps) by a more
	  sophisticated one.
	- The CUPS driver now properly rotates the page when
	  given a landscape PageSize.
	- The CUPS driver now supports the CUPS 1.2 extended
	  page header attributes.
	- Now generate the gs_res.ps file so that the font
	  resource path points to the correct location.  This
	  allows the gs-cjk stuff to work.
	- Replaced the "lxm3200" driver (gdevlx32.c) by a
	  modified version which supports also the Z31 and the
	  Z12 (From Boer Attila (boera at unitbv dot ro), Tomas
	  Groth (tomasgroth at hotmail dot com), published on
	  http://www.distantvoices.org/.
	- The configure script didn't create the
	  ghostscript.list and ghostscript-cups.list files.
	- Removed "#pragma ident" directives from PCL3 driver,
	  since they are non-portable.
	- Cleaned up "clean" targets of src/gs.mak, now "make
	  distclean" and "make maintainer-clean" work
	  according to the standards.
	- Updated japanese driver pack "gdevlips" from version
	  2.3.4 to 2.4.0. The pack contains the devices "lips2p"
	  "bjc880j". "lips4", "lips4v", "escpage", "lp2000".
          "npdl", and "rpdl". "rpdl" is newly added (for Ricoh's
	  RPDL printers). Package from
	  http://www.ucatv.ne.jp/~taeko/software/gs/, found
	  thanks to the hint from inoue_koichi@users.sf.net,
	  SourceForge support request #620298.
	- Added "#define USE_POSSIBLY_FLAWED_COMPRESSION 1" to
	  src/gdevhl7x.c (driver "hl7x0"). This fixes the problem
	  that the printer stops in the middle of the page. See
	  "hl720" thread on
          www.linuxprinting.org/pipermail/brother-list/2002q2/thread.html.

CHANGES IN 7.05.5

	- Updated the DJ970C driver to v1.1.
	- The OMNI driver didn't depend on the BMP driver, which
	  it uses to get its color mapping functions.
	- The --enable-compiled-inits option did not work with
	  the dmprt driver; now disable this driver when using
	  this option.
	- Fixed several drivers to use ANSI C comments and not
	  C++/C99 comments...
	- The CUPS driver set the printable margins from the PPD
	  file, but it already handled the margins itself.  This
	  caused the margins to be applied twice, producing
	  "narrow" (clipped) output.
	- EPM list file fixes.
	- OMNI needs -lsupc++ only if we are compiling with GCC
	  3.x.
	- Applied patch from Jim Lovell (jlovell@apple.com) to make
	  ESP GhostScript 7.05 compile under Mac OS X.
	- Updated the lex7000/lex5700 driver to the version of Sep 8,
	  1999 to have the two new devices lex2050 and lex3200 for the
	  Lexmark 2050 and 3200 printers (not in GNU GS 7.05).
	- Added supported devices bbox, cif, pcx2up, djet500, lj3100sw,
	  x11gray2, and x11gray4 to src/configure.ac.
	- Added supported device escpc to both src/contrib.mak and 
	  src/configure.ac.
	- Added Ferrari electronic AG bff fax format support, device: bff
	  (not in GNU GS 7.05)
	- Added djet820c driver (HP DeskJet 820C, not in GNU GS 7.05).
	- Added alias name samsunggdi for the gdi driver (from SuSE,
	  not in GNU GS 7.05).


CHANGES IN 7.05.4

	- The PRINTERS and FILES driver lists were too long for
	  the Solaris xargs command; now just use tr.
	- Updated the GIMP-print check in the configure script
	  to use the gimpprint-config utility so that compiler
	  and linker options are included as well.
	- Updated the Fontmap.SGI file to match the current SGI
	  and GNU Ghostscript fonts.
	- Made "./configure --with-drivers=ALL" really include all
          drivers. Missing drivers were hl7x0, t4693d2, t4693d4,
	  t4693d8, lips3, dl2100, la50, la70, la75, la75plus,
	  lj4dith, sxlcrt (not in GNU GS 7.05).
	- Re-added all drivers which were dropped in GNU
	  GhostScript 7.05. Drivers: cdj670, cdj850, cdj880,
	  cdj890, cdj970,  cdj1600, hl1240, hl1250, ln03, oki4w,
	  xes; Files in src/: gdevcd8.c, gdevdj9.c, gdevhl12.c,
	  gdevln03.c, gdevop4w.c, gdevxes.c; Features we got
	  back: Support for DEC LN03, Xerox XES series, best
	  output quality for HP DeskJet 850C, 855C, 870C, 1600C,
	  and OfficeJet Pro 1150C (these models are not
	  supported by HPIJS from HP), 1200x600 and paper tray
	  selection on Brother lasers (not in GNU GS 7.05).
	- Added hooks for the IBM OMNI drivers; you still need
	  to download and extract the OMNI distribution
	  separately but do not need to patch GhostScript (not
	  in  GNU GS 7.05).
	- Added HP's chp2200 driver for the HP Business Inkjet
	  2200 (not in GNU GS 7.05).
	- Added Martin Lottermoser's pcl3 driver. Drivers: pcl3,
	  hpdjplus, hpdjportable, hpdj310, hpdj320, hpdj340,
	  hpdj400, hpdj500, hpdj500c, hpdj510, hpdj520, hpdj540,
	  hpdj550c, hpdj560c, hpdj600, hpdj660c, hpdj670c,
	  hpdj680c, hpdj690c, hpdj850c, hpdj855c, hpdj870c,
	  hpdj890c, hpdj1120c (not in GNU GS 7.05).
	- Added lx5000 driver by Peter B. West for the Lexmark 
	  5000 (not in GNU GS 7.05).
	- Added lxm3200 driver by Daniel Gordini for the Lexmark
	  3200 (not in GNU GS 7.05).
	- Added lex5700/lex7000 drivers by Henryk Paluch for
	  the  Lexmark 5700, 7000, I900, Z51, and Compaq A900
	  (not in GNU GS 7.05).
	- Added md2k/md5k driver for the Alps MD series and
	  other MicroDry printers as the Citizen printiva series
	  and also some Okis (not in GNU GS 7.05).
	- Added gdi driver for Samsung's SmartGDI lasers, as
	  ML-4500, ML-1210, Lexmark E210, ... (not in GNU GS
	  7.05).
	- Added the Epson Kowa laser printer drivers for Epson
	  LP, EPL, and AcuLaser printers. Drivers: lp8800c,
	  lp8300c, lp8500c, lp3000c, lp8200c, lp8000c, alc8600,
	  alc8500, alc2000, alc4000, lp2200, lp9400, lp8900,
	  lp8700, lp8100, lp7700, lp8600f, lp8400f, lp8300f,
	  lp1900, lp9600s, lp9300, lp9600, lp8600, lp1800,
	  epl6100, epl5900, epl5800, epl2050, epl2050p, epl2120.
	  Many of these drivers are not documented by Epson (not
	  in GNU GS 7.05).
	- Added bjc250gs drivers by Sza'sz Gergely for the Canon
	  BJC-210/240/250/250ex/265/1000 printers. Drivers:
	  bjcmono, bjcgray, bjccmyk, bjccolor (not in GNU GS
	  7.05).
	- Added "monkey load of japanese drivers" from Red Hat,
	  these drivers are for older japanese models. Drivers:
	  ljet4pjl, lj4dithp, dj505j, picty180, pr201, pr150,
	  pr1000, pr1000_4, jj100, bj10v, bj10vh, mag16, mag256,
	  mj700v2c, mj500c, mj6000c, mj8000c, fmpr, fmlbp, ml600,
	  lbp310, lbp320, lips2p, bjc880j, lips4, lips4v,
	  escpage, lp2000, npdl, md50Mono, md50Eco, md1xMono
	  (not in GNU GS 7.05).
	- Added UPP files for Epson Stylus Color 740 from
	  http://lcewww.et.tudelft.nl/~haver/linux/epson.html
	  (not in GNU GS 7.05).
	- Added Andy Thaller's UPP files for the Canon BJC-6000
	  (not in GNU GS 7.05).
	- Added UPP files for Epson inkjets from
	  http://www.best.com/~murakami/uppfiles/ (not in GNU GS
	  7.05).
	- Added UPP file for the Sharp AJ-180x/200x printers.
	- Added UPP files for the Canon S400 and BJC-3000.
	- Added driver group "BROTHER" (not in GNU GS 7.05).
	- Added forgotten PNG_DEVS to configure.ac (not in GNU 
	  GS 7.05).
	- Removed "_ds" in oki4w driver source code, it broke
	  compiling (not in GNU GS 7.05).
	- Applied third bug fix from Martin Lottermoser,
	  GhostScript did not see the standard page device 
	  parameter "LeadingEdge" if supplied in the PostScript
	  job and not on the command line (not in GNU GS 7.05).
	- Some drivers tell that they do random access to the 
	  output device and so output into a pipe does not
	  work.  To fix this, forced sequential access to the
	  output device when it is a pipe (not in GNU GS 7.05).
	- Modified dvipdf to get a better output quality (not in
	  GNU GS 7.05).
	- Fixed configure.ac and Makefile.in so that Omni/IJS
	  support only is built when Omni/IJS are present.


CHANGES IN 7.05.3

	- Fixed a clist pointer alignment bug that affected
	  RISC systems.
	- The CUPS raster driver didn't initialize the
	  ImagingBoundingBox array in the page header.
	- The CUPS raster driver forced the NumCopies attribute
	  to an integer value and wouldn't accept "null" from
	  StarOffice.
	- The configure script used the "-n" option with grep,
	  which isn't universally supported.
	- Fixed the EPM list file which was installing the data
	  files in the wrong subdirectory (7.05.n instead of
	  7.05) and was missing the CID data files.
	- Now look for PNG header files in <png.h> and
	  <libpng/png.h>.
	- Bug fix for media rotation/fitting from Martin
	  Lottermoser.
	- Bug fix for CMYK mapping with setrgbcolor and friends
	  from Martin Lottermoser.
	- The gx_dc_ht_colored_equal function didn't always
	  return a value.
	- Miscellaneous compiler warning fixes.


CHANGES IN 7.05.2-1

	- Fixed a configure script problem.


CHANGES IN 7.05.2

	- Fixed a problem in the pstoraster wrapper script.
	- Direct CMYK printing now works with the CUPS driver.
	- Didn't add RPM_BUILD_ROOT to install directories for
	  CUPS and manpage files.


CHANGES IN 7.05.1-2

	- Added missing documentation files from the GNU
	  Ghostscript baseline.


CHANGES IN 7.05.1-1

	- Added some missing files from the GNU Ghostscript
	  baseline.


CHANGES IN 7.05.1

	- Updated to GNU Ghostscript 7.05 baseline.


CHANGES IN 6.53.1

	- Updated to GNU Ghostscript 6.53 baseline.
	- Renamed all spec/list files to "ghostscript".
	- Added pstoraster script and pstoraster.convs filter
	  configuration file for CUPS.
	- Now use cups-config for finding existing CUPS
	  installation.
	- No longer use JPEG library compiled into Ghostscript;
	  instead use shared library since there is no practical
	  reason not to.
	- Added additional directories to default font path.
	- Added hpijs 1.0.2 [bero]
	- Added support for CJK printing, based on http://www.gyve.org/gs-cjk/
	  [bero]
	- Drivers additions [bero]:
	  - Samsung GDI printers
	    http://www.linuxprinting.org/download/printing/
	  - Lexmark Z50 printers
	    http://www.powerup.com.au/~pbwest/lexmark/
	  - ALPS MD* printers
	    http://plaza26.mbn.or.jp/~higamasa/gdevmd2k/	0.2a
	  - Lexmark 2050, 3200, 5700 and 7000
	    ftp://bimbo.fjfi.cvut.cz/users/paluch/lexmarkgs/	990908
	  - Epson AcuLaser C2000/C8500, Epson Laser EPL-5800/N2050/N2050+
	  - Epson 740 series (upp)
	  - GSJ (various Japanese printers)
	- Add PARANOIDSAFER option from Red Hat Linux package [bero]
	- Some bugfixes [bero]


CHANGES IN 5.50.1

	- Added configure script.
	- Added Makefile.in (based off unixansi.mak).
	- Added cups.mak and stp.mak for new drivers.
	- Added README, INSTALL, and CHANGES files.
	- Added CUPS pstoraster front-end.
	- Changed use of stdout for messages to stderr.
	- Fixed processing of page device options.
	- Fixed ISO-8859-1 and standard font encoding to use
	  minus instead of hyphen for ASCII "-".
	- Changed luminance constants to ones for sRGB.
	- Fixed some code that didn't initialize variables or
	  allocate memory.
	- Changed use of MediaSize and .MediaSize in favor of
	  PageSize, which is the Adobe standard for the same
	  attribute.
	- Fixed temporary file handling to use TMPDIR and to be
	  safe.
	- Added support for RIP_MAX_CACHE environment variable.
	- Fixed handling of output file when output file ==
	  stdout.
	- Added missing transfer function in gs_init.ps to allow
	  previewing of EPS files from some PC applications like
	  FreeHand.
	- Fixed Level 1 page size commands to use the right
	  dimensions (a0-a3,a5,a6,a10,b0-b5,c0,c1,c6 were all
	  wrong)
	- Fixed bitmap width/height code to account for hardware
	  margins properly.
